com.sun.jna.platform.mac

## Class SystemB.RUsageInfoV2

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.RUsageInfoV2

Enclosing interface:
  SystemB

    @Structure.FieldOrder(value={"ri_uuid","ri_user_time","ri_system_time","ri_pkg_idle_wkups","ri_interrupt_wkups","ri_pageins","ri_wired_size","ri_resident_size","ri_phys_footprint","ri_proc_start_abstime","ri_proc_exit_abstime","ri_child_user_time","ri_child_system_time","ri_child_pkg_idle_wkups","ri_child_interrupt_wkups","ri_child_pageins","ri_child_elapsed_abstime","ri_diskio_bytesread","ri_diskio_byteswritten"})
    public static class SystemB.RUsageInfoV2
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`long` `ri_child_elapsed_abstime`
`long` `ri_child_interrupt_wkups`
`long` `ri_child_pageins`
`long` `ri_child_pkg_idle_wkups`
`long` `ri_child_system_time`
`long` `ri_child_user_time`
`long` `ri_diskio_bytesread`
`long` `ri_diskio_byteswritten`
`long` `ri_interrupt_wkups`
`long` `ri_pageins`
`long` `ri_phys_footprint`
`long` `ri_pkg_idle_wkups`
`long` `ri_proc_exit_abstime`
`long` `ri_proc_start_abstime`
`long` `ri_resident_size`
`long` `ri_system_time`
`long` `ri_user_time`
`byte[]` `ri_uuid`
`long` `ri_wired_size`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`RUsageInfoV2()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ri_uuid

    public byte[] ri_uuid

#### ri_user_time

    public long ri_user_time

#### ri_system_time

    public long ri_system_time

#### ri_pkg_idle_wkups

    public long ri_pkg_idle_wkups

#### ri_interrupt_wkups

    public long ri_interrupt_wkups

#### ri_pageins

    public long ri_pageins

#### ri_wired_size

    public long ri_wired_size

#### ri_resident_size

    public long ri_resident_size

#### ri_phys_footprint

    public long ri_phys_footprint

#### ri_proc_start_abstime

    public long ri_proc_start_abstime

#### ri_proc_exit_abstime

    public long ri_proc_exit_abstime

#### ri_child_user_time

    public long ri_child_user_time

#### ri_child_system_time

    public long ri_child_system_time

#### ri_child_pkg_idle_wkups

    public long ri_child_pkg_idle_wkups

#### ri_child_interrupt_wkups

    public long ri_child_interrupt_wkups

#### ri_child_pageins

    public long ri_child_pageins

#### ri_child_elapsed_abstime

    public long ri_child_elapsed_abstime

#### ri_diskio_bytesread

    public long ri_diskio_bytesread

#### ri_diskio_byteswritten

    public long ri_diskio_byteswritten

### Constructor Detail

#### RUsageInfoV2

    public RUsageInfoV2()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.